import { contextBridge, remote } from "electron";

import config from "./lib/config";
import { saveImage, addWatermarkBatch } from "./lib/watermark";
import { queryStudentCount, replaceStudents, replacePackage } from "./lib/sync";
import { existsSync } from "fs";
import { join } from "path";

export const electronInWindow = {
  dialog: remote.dialog,
  config,

  addWatermarkBatch,
  saveImage,
  queryStudentCount,
  replaceStudents,
  replacePackage,
  existsSync,
  join,
};

contextBridge.exposeInMainWorld("electron", electronInWindow);
